# Visualization
TKV3d
DsgPrs

# DsgPrs_TangentPresentation Class Reference

A framework to define display of tangents.
.

`#include <DsgPrs_TangentPresentation.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_Drawer)&aDrawer, const gp_Pnt &OffsetPoint, const gp_Dir &aDirection, const Standard_Real aLength)
| Adds the point OffsetPoint, the direction aDirection and the length aLength to the presentation object aPresentation. The display attributes of the tangent are defined by the attribute manager aDrawer. .

## Member Function Documentation

static Standard_EXPORT void DsgPrs_TangentPresentation::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const gp_Pnt & | OffsetPoint,
|  | const gp_Dir & | aDirection,
|  | const Standard_Real | aLength
| ) | `[static]`

void DsgPrs_TangentPresentation::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DsgPrs_TangentPresentation::operator new | ( | size_t | size | ) | `[inline]`

void* DsgPrs_TangentPresentation::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- DsgPrs_TangentPresentation.hxx